Skip To Content

24038: Layer’s data source is required to be versioned for editing

In this topic

Your layer's data source is not versioned. While feature services support versioned and nonversioned data, versioning is required if you plan on editing the feature service.


  • Do nothing. Users of this feature service will be unable to edit this layer.
  • Change the layer's data source to be versioned.

    Learn more about creating versions

  • Alternatively, remove the layer from the data frame if it is not needed.

More information

Using a feature service to edit data sources using complex geometry requires that you version the feature service source data. Versioning lets multiple users directly edit a geodatabase without explicitly applying feature locks or duplicating data.

Learn more about versioning

The following use complex geometry types

  • Topology
  • Network datasets
  • Geometric networks
  • Terrain datasets
  • Parcel fabrics

If you are planning on using the feature service for editing, it is recommended that you only add data to the map document that you want to edit (the operational layers). Data you don't want to edit, such as basemap layers, should be published in a different service.

Learn more about planning your operational and basemap services

Another alternative is to use an ArcGIS Online service that can be used as the basemap.

Learn more about designing a map to overlay ArcGIS Online, Google Maps, and Bing Maps

Learn more about authoring feature services